Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Remove Users from Blocklist

Remove one or more users from the specified user's blocklist.

Request Method

POST: https://Data Center Domain/user/blacklist/remove.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must follow the signature rule. For details, see API Request Signature.

Body Parameters

The HTTP request body is in application/x-www-form-urlencoded format and supports the following HTTP form parameters:

ParameterTypeRequiredDescription
userIdStringYesThe user ID.
blackUserIdStringYesThe user ID to be removed from the blocklist. Up to 20 users can be removed at a time.

Request Example

POST /user/blacklist/remove.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=jlk456j5&blackUserId=jlk454

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueTypeDescription
codeNumberReturn code, 200 indicates success.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{"code":200}